Module java.desktop
Package java.awt.desktop

# Class PreferencesEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.PreferencesEvent

All Implemented Interfaces:
  `Serializable`

public final class PreferencesEvent extends AppEvent
Event sent when the application is asked to open its preferences window.

Since:
  9
See Also:
  `PreferencesHandler.handlePreferences(java.awt.desktop.PreferencesEvent)`, Serialized Form

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PreferencesEvent()`
Constructs a `PreferencesEvent`.

## Method Summary

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PreferencesEvent

public PreferencesEvent()
Constructs a `PreferencesEvent`.

Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  `Desktop.isDesktopSupported()`, `GraphicsEnvironment.isHeadless()`